%define upstream_name Youri-Utils
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18
Summary:	Youri shared functions
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://youri.zarb.org

BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(version)
Requires:       perl-version
Buildarch:	    noarch


%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides basic utility functions used by other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc ChangeLog README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.1-18.mga10
+ Revision: 2204820
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.1-17.mga9
+ Revision: 1810668
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-16.mga8
+ Revision: 1507107
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-15.mga7
+ Revision: 1287479
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.2.1-14.mga7
+ Revision: 1167472
- rebuild with fixed rpm for missing autodeps

* Sat Sep 02 2017 tv <tv> 0.2.1-13.mga7
+ Revision: 1150587
- rebuild for fixed perl

* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-12.mga6
+ Revision: 1036198
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.1-11.mga6
+ Revision: 968407
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.2.1-10.mga6
+ Revision: 852240
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-9.mga5
+ Revision: 742228
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-8.mga5
+ Revision: 687001
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-7.mga4
+ Revision: 516316
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-6.mga3
+ Revision: 375336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2.1-5.mga1
+ Revision: 31526
- mageia rebuild
- imported package perl-Youri-Utils


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-5mdv2010.0
+ Revision: 430677
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-4mdv2009.0
+ Revision: 268889
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-3mdv2009.0
+ Revision: 210951
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 17191
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 17030
- new version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 138939
- fix build dependencies _correctly_
- fix build dependencies
- Imported perl-Youri-Utils-0.1.1-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
- first mdv release

